package com.casic.br.model;

/**
 * 其他设备数据模型
 */
public class OtherDeviceModel {

    private int code;
    private DataModel data;
    private String message;
    private boolean success;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public DataModel getData() {
        return data;
    }

    public void setData(DataModel data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public static class DataModel {
        private String brandCode;
        private String brandName;
        private BusinessExtModel businessExt;
        private String createTime;
        private int deviceActive;
        private String deviceActiveTime;
        private String deviceAddress;
        private int deviceBindUser;
        private String deviceCoreParts;
        private String deviceHardwareVersion;
        private String deviceId;
        private String deviceIp;
        private String deviceMac;
        private String deviceName;
        private String deviceSoftwareVersion;
        private int deviceStatus;
        private String id;
        private int iotDevice;
        private String picUri;
        private String produceDate;
        private String productCode;
        private String productName;
        private String snCode;
        private String supplierId;
        private String supplierName;
        private String updateTime;

        public String getBrandCode() {
            return brandCode;
        }

        public void setBrandCode(String brandCode) {
            this.brandCode = brandCode;
        }

        public String getBrandName() {
            return brandName;
        }

        public void setBrandName(String brandName) {
            this.brandName = brandName;
        }

        public BusinessExtModel getBusinessExt() {
            return businessExt;
        }

        public void setBusinessExt(BusinessExtModel businessExt) {
            this.businessExt = businessExt;
        }

        public String getCreateTime() {
            return createTime;
        }

        public void setCreateTime(String createTime) {
            this.createTime = createTime;
        }

        public int getDeviceActive() {
            return deviceActive;
        }

        public void setDeviceActive(int deviceActive) {
            this.deviceActive = deviceActive;
        }

        public String getDeviceActiveTime() {
            return deviceActiveTime;
        }

        public void setDeviceActiveTime(String deviceActiveTime) {
            this.deviceActiveTime = deviceActiveTime;
        }

        public String getDeviceAddress() {
            return deviceAddress;
        }

        public void setDeviceAddress(String deviceAddress) {
            this.deviceAddress = deviceAddress;
        }

        public int getDeviceBindUser() {
            return deviceBindUser;
        }

        public void setDeviceBindUser(int deviceBindUser) {
            this.deviceBindUser = deviceBindUser;
        }

        public String getDeviceCoreParts() {
            return deviceCoreParts;
        }

        public void setDeviceCoreParts(String deviceCoreParts) {
            this.deviceCoreParts = deviceCoreParts;
        }

        public String getDeviceHardwareVersion() {
            return deviceHardwareVersion;
        }

        public void setDeviceHardwareVersion(String deviceHardwareVersion) {
            this.deviceHardwareVersion = deviceHardwareVersion;
        }

        public String getDeviceId() {
            return deviceId;
        }

        public void setDeviceId(String deviceId) {
            this.deviceId = deviceId;
        }

        public String getDeviceIp() {
            return deviceIp;
        }

        public void setDeviceIp(String deviceIp) {
            this.deviceIp = deviceIp;
        }

        public String getDeviceMac() {
            return deviceMac;
        }

        public void setDeviceMac(String deviceMac) {
            this.deviceMac = deviceMac;
        }

        public String getDeviceName() {
            return deviceName;
        }

        public void setDeviceName(String deviceName) {
            this.deviceName = deviceName;
        }

        public String getDeviceSoftwareVersion() {
            return deviceSoftwareVersion;
        }

        public void setDeviceSoftwareVersion(String deviceSoftwareVersion) {
            this.deviceSoftwareVersion = deviceSoftwareVersion;
        }

        public int getDeviceStatus() {
            return deviceStatus;
        }

        public void setDeviceStatus(int deviceStatus) {
            this.deviceStatus = deviceStatus;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public int getIotDevice() {
            return iotDevice;
        }

        public void setIotDevice(int iotDevice) {
            this.iotDevice = iotDevice;
        }

        public String getPicUri() {
            return picUri;
        }

        public void setPicUri(String picUri) {
            this.picUri = picUri;
        }

        public String getProduceDate() {
            return produceDate;
        }

        public void setProduceDate(String produceDate) {
            this.produceDate = produceDate;
        }

        public String getProductCode() {
            return productCode;
        }

        public void setProductCode(String productCode) {
            this.productCode = productCode;
        }

        public String getProductName() {
            return productName;
        }

        public void setProductName(String productName) {
            this.productName = productName;
        }

        public String getSnCode() {
            return snCode;
        }

        public void setSnCode(String snCode) {
            this.snCode = snCode;
        }

        public String getSupplierId() {
            return supplierId;
        }

        public void setSupplierId(String supplierId) {
            this.supplierId = supplierId;
        }

        public String getSupplierName() {
            return supplierName;
        }

        public void setSupplierName(String supplierName) {
            this.supplierName = supplierName;
        }

        public String getUpdateTime() {
            return updateTime;
        }

        public void setUpdateTime(String updateTime) {
            this.updateTime = updateTime;
        }

        public static class BusinessExtModel {
            private String createTime;
            private String deciPoint1;
            private String deciPoint2;
            private String deviceId;
            private String id;
            private String sensorCode1;
            private String sensorCode2;
            private String sensorType1;
            private String sensorType2;
            private String sensorVal1;
            private String sensorVal2;
            private String sensorValUnit1;
            private String sensorValUnit2;
            private String updateTime;
            private String workStatus1;
            private String workStatus2;

            public String getCreateTime() {
                return createTime;
            }

            public void setCreateTime(String createTime) {
                this.createTime = createTime;
            }

            public String getDeciPoint1() {
                return deciPoint1;
            }

            public void setDeciPoint1(String deciPoint1) {
                this.deciPoint1 = deciPoint1;
            }

            public String getDeciPoint2() {
                return deciPoint2;
            }

            public void setDeciPoint2(String deciPoint2) {
                this.deciPoint2 = deciPoint2;
            }

            public String getDeviceId() {
                return deviceId;
            }

            public void setDeviceId(String deviceId) {
                this.deviceId = deviceId;
            }

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getSensorCode1() {
                return sensorCode1;
            }

            public void setSensorCode1(String sensorCode1) {
                this.sensorCode1 = sensorCode1;
            }

            public String getSensorCode2() {
                return sensorCode2;
            }

            public void setSensorCode2(String sensorCode2) {
                this.sensorCode2 = sensorCode2;
            }

            public String getSensorType1() {
                return sensorType1;
            }

            public void setSensorType1(String sensorType1) {
                this.sensorType1 = sensorType1;
            }

            public String getSensorType2() {
                return sensorType2;
            }

            public void setSensorType2(String sensorType2) {
                this.sensorType2 = sensorType2;
            }

            public String getSensorVal1() {
                return sensorVal1;
            }

            public void setSensorVal1(String sensorVal1) {
                this.sensorVal1 = sensorVal1;
            }

            public String getSensorVal2() {
                return sensorVal2;
            }

            public void setSensorVal2(String sensorVal2) {
                this.sensorVal2 = sensorVal2;
            }

            public String getSensorValUnit1() {
                return sensorValUnit1;
            }

            public void setSensorValUnit1(String sensorValUnit1) {
                this.sensorValUnit1 = sensorValUnit1;
            }

            public String getSensorValUnit2() {
                return sensorValUnit2;
            }

            public void setSensorValUnit2(String sensorValUnit2) {
                this.sensorValUnit2 = sensorValUnit2;
            }

            public String getUpdateTime() {
                return updateTime;
            }

            public void setUpdateTime(String updateTime) {
                this.updateTime = updateTime;
            }

            public String getWorkStatus1() {
                return workStatus1;
            }

            public void setWorkStatus1(String workStatus1) {
                this.workStatus1 = workStatus1;
            }

            public String getWorkStatus2() {
                return workStatus2;
            }

            public void setWorkStatus2(String workStatus2) {
                this.workStatus2 = workStatus2;
            }
        }
    }
}
